    The XSPEC rfxconv convolution model: angle-dependent reflection from an ionized disk

xsrfxconv
The xsrfxconv model is a convolution model component.

The model is described at [1] .

>>> create_model_component("xsrfxconv", "mdl")
>>> print(mdl)

Create a component of the xsrfxconv model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.rel_refl thawed -1 -1 1e+06 mdl.redshift frozen 0 0 4 mdl.Fe_abund frozen 1 0.5 3 mdl.cosIncl frozen 0.5 0.05 0.95 mdl.log_xi thawed 1 1 6

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
rel_refl
The relative reflection normalization. If negative then only the reflected component is returned.
redshift
The redshift of the source.
Fe_abund
The iron abundance relative to the solar abundance, as set by the set_xsabund function. All other elements are assumed to have Solar abundances.
cosIncl
The cosine of the inclination angle in degrees.
log_xi
The ionization parameter used by the table models.

Notes

Unlike XSPEC, the convolution model is applied directly to the model, or models, rather than using the multiplication symbol.

The precision of the numerical integration can be changed by using the set_xsxset function to set the value of the RFXCONV_PRECISION keyword, which defines the fractional precision. The default is 0.01 (1%).

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelRfxconv.html

Changes in CIAO

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023